Listar notas fiscais
curl --request GET \
--url https://api.tiny.com.br/public-api/v3/notas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tiny.com.br/public-api/v3/notas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tiny.com.br/public-api/v3/notas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itens": [
{
"numero": "<string>",
"serie": "<string>",
"chaveAcesso": "<string>",
"dataEmissao": "<string>",
"dataPrevista": "<string>",
"cliente": {
"nome": "<string>",
"codigo": "<string>",
"fantasia": "<string>",
"cpfCnpj": "<string>",
"inscricaoEstadual": "<string>",
"rg": "<string>",
"telefone": "<string>",
"celular": "<string>",
"email": "<string>",
"endereco": {
"endereco": "<string>",
"numero": "<string>",
"complemento": "<string>",
"bairro": "<string>",
"municipio": "<string>",
"cep": "<string>",
"uf": "<string>",
"pais": "<string>"
},
"id": 123
},
"enderecoEntrega": {
"endereco": "<string>",
"numero": "<string>",
"complemento": "<string>",
"bairro": "<string>",
"municipio": "<string>",
"cep": "<string>",
"uf": "<string>",
"pais": "<string>",
"nomeDestinatario": "<string>",
"cpfCnpj": "<string>",
"tipoPessoa": "<string>",
"telefone": "<string>",
"inscricaoEstadual": "<string>"
},
"valor": 123,
"valorProdutos": 123,
"valorFrete": 123,
"vendedor": {
"id": 123,
"nome": "<string>"
},
"idFormaEnvio": 123,
"idFormaFrete": 123,
"codigoRastreamento": "<string>",
"urlRastreamento": "<string>",
"fretePorConta": "<string>",
"qtdVolumes": 123,
"pesoBruto": 123,
"pesoLiquido": 123,
"id": 123,
"ecommerce": {
"id": 123,
"nome": "<string>",
"numeroPedidoEcommerce": "<string>",
"numeroPedidoCanalVenda": "<string>",
"canalVenda": "<string>"
},
"origem": {
"id": "<string>"
}
}
],
"paginacao": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Notas
Listar notas fiscais
GET
/
notas
Listar notas fiscais
Query Parameters
Pesquisa por tipo de nota
- E - Entrada
- S - Saida
Available options:
E, S Pesquisa por número da nota
Pesquisa por CPF ou CNPJ
Pesquisa por data de criação
Example:
"2023-01-01"
Pesquisa por data de criação
Example:
"2023-01-01"
Pesquisa pela situacão da nota
- 1 - Pendente
- 2 - Emitida
- 3 - Cancelada
- 4 - Enviada Aguardando Recibo
- 5 - Rejeitada
- 6 - Autorizada
- 7 - Emitida Danfe
- 8 - Registrada
- 9 - Enviada Aguardando Protocolo
- 10 - Denegada
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Pesquisa pelo número do pedido no e-commerce
Pesquisa por identificador do vendedor
Pesquisa por identificador da forma de envio
Pesquisa por identificador da venda
Pesquisa por marcadores
Define a ordenação da listagem por ordem crescente ou decrescente
- asc - Crescente
- desc - Descrescente
Available options:
asc, desc Limite da paginação
Offset da paginação
⌘I
